## org.apache.mahout.ga.watchmaker.cd.tool
Class Descriptors

    java.lang.Object
      org.apache.mahout.ga.watchmaker.cd.tool.Descriptors

    public final class Descriptors

extends Object

Used as a configuration Parameters for the mapper-combiner-reducer
CDTOOL.ATTRIBUTES : char[] description of the attributes.
for each attribute, takes one of this values:

- N : numerical attribute
- C : categorical (nominal) attribute
- L : label (nominal) attribute
- I : ignored attribute

Constructor Summary
`Descriptors(char[] descriptors)`

Method Summary
`char[]` `getChars()`
`boolean` `isIgnored(int index)`
`boolean` `isLabel(int index)`
`boolean` `isNominal(int index)`
`boolean` `isNumerical(int index)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Descriptors

    public Descriptors(char[] descriptors)

Method Detail

### isIgnored

    public boolean isIgnored(int index)

### isNumerical

    public boolean isNumerical(int index)

### isNominal

    public boolean isNominal(int index)

### isLabel

    public boolean isLabel(int index)

### size

    public int size()

### getChars

    public char[] getChars()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.